a,
button,
p,
input,
textarea,
li {
  -webkit-transition: all 0.3s 0s ease-out;
  -moz-transition: all 0.3s 0s ease-out;
  -ms-transition: all 0.3s 0s ease-out;
  -o-transition: all 0.3s 0s ease-out;
  transition: all 0.3s 0s ease-out;
}

/* transform */

@font-face {
  font-family: 'SF Pro Display';
  src: url('../fonts/sf-pro/SF-Pro-Display-Ultralight.otf') format('opentype');
  font-weight: 100;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: 'SF Pro Display';
  src: url('../fonts/sf-pro/SF-Pro-Display-Thin.otf') format('opentype');
  font-weight: 200;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'SF Pro Display';
  src: url('../fonts/sf-pro/SF-Pro-Display-Light.otf') format('opentype');
  font-weight: 300;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'SF Pro Display';
  src: url('../fonts/sf-pro/SF-Pro-Display-Regular.otf') format('opentype');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Poppins';
  src: url('../fonts/poppins/Poppins-Thin.ttf') format('truetype');
  font-weight: 100;
  font-style: normal;
}

@font-face {
  font-family: 'Poppins';
  src: url('../fonts/poppins/Poppins-Light.ttf') format('truetype');
  font-weight: 300;
  font-style: normal;
}
@font-face {
  font-family: 'Poppins';
  src: url('../fonts/poppins/Poppins-Regular.ttf') format('truetype');
  font-weight: 400;
  font-style: normal;
}
@font-face {
  font-family: 'Poppins';
  src: url('../fonts/poppins/Poppins-Medium.ttf') format('truetype');
  font-weight: 500;
  font-style: normal;
}
@font-face {
  font-family: 'Poppins';
  src: url('../fonts/poppins/Poppins-SemiBold.ttf') format('truetype');
  font-weight: 600;
  font-style: normal;
}

@font-face {
  font-family: 'Poppins';
  src: url('../fonts/poppins/Poppins-Bold.ttf') format('truetype');
  font-weight: 700;
  font-style: normal;
}

:root {
  /**
  @font family declaration
  */
  --tp-ff-body: 'SF Pro Display', sans-serif;
  --tp-ff-heading: 'Poppins', sans-serif;
  --tp-ff-p: 'SF Pro Display', sans-serif;
  --tp-ff-fontawesome: "Font Awesome 6 Pro";
  /**
  @color declaration
  */
  --tp-common-white: #fff;
  --tp-common-white-2: #f0f0f0;
  --tp-common-black: #030303;
  --tp-common-black-1: #10302a;
  --tp-common-black-2: #0d0d0d;
  --tp-common-black-3: #000;
  --tp-common-black-4: #405955;
  --tp-common-black-5: #111112;
  --tp-common-black-6: #333333;
  --tp-common-black-7: #121314;
  --tp-common-yellow: #fff112;
  --tp-common-yellow-2: #FFD500;
  --tp-common-green: #00dd80;
  --tp-common-green-2: #b4e717;
  --tp-common-green-3: #d5ffdd;
  --tp-common-blue: #5956e9;
  --tp-common-nights: #7D5DFF;
  --tp-common-meteor: #E62415;
  --tp-common-angry: #f14f44;
  --tp-common-sugar : #FFFBF5;
  --tp-common-cream : #b7ab98;
  --tp-common-pink : #eb5939;
  --tp-grey-1: #525252;
  --tp-grey-2: #999;
  --tp-grey-3: #f8f8f8;
  --tp-grey-4: #aaa;
  --tp-grey-5: #f3f1f2;
  --tp-grey-6: #AFB7B6;
  --tp-grey-7: #5c5c5c;
  --tp-grey-8: #101010;
  --tp-theme-primary: #c4ee18;
  --tp-theme-secondary: #ff6d00;
  --tp-theme-1: #0752c5;
  --tp-border-1: #eee;
  --tp-border-2: rgba(51, 51, 51, 0.8);
  --tp-border-3: rgba(255, 255, 255, 0.1);
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/*---------------------------------
typography css start 
---------------------------------*/
body {
  font-family: var(--tp-ff-body);
  font-size: 16px;
  font-weight: normal;
  color: var(--tp-common-black);
  line-height: 26px;
}

a {
  text-decoration: none;
}

h1,
h2,
h3,
h4 {
  font-family: var(--tp-ff-heading);
  color: var(--tp-common-black);
  margin-top: 0px;
  font-weight: 500;
  line-height: 1.2;
  -webkit-transition: color 0.3s 0s ease-out;
  -moz-transition: color 0.3s 0s ease-out;
  -ms-transition: color 0.3s 0s ease-out;
  -o-transition: color 0.3s 0s ease-out;
  transition: color 0.3s 0s ease-out;
}

h1 {
  font-size: 70px;
}

h2 {
  font-size: 52px;
}

h3 {
  font-size: 36px;
}

h4 {
  font-size: 26px;
}

ul {
  margin: 0px;
  padding: 0px;
}

p {
  color: var(--tp-grey-1);
  font-weight: 300;
  font-size: 16px;
  line-height: 26px;
  margin-bottom: 15px;
}

img {
  max-width: 100%;
}

a:focus {
  text-decoration: none;
  outline: none;
}

a:focus,
a:hover {
  color: inherit;
  text-decoration: none;
}

a,
button {
  color: inherit;
  outline: none;
  border: none;
  background: transparent;
}

button:hover {
  cursor: pointer;
}

button:focus {
  outline: 0;
}

*::-moz-selection {
  background: var(--tp-common-black);
  color: var(--tp-common-white);
  text-shadow: none;
}

::-moz-selection {
  background: var(--tp-common-black);
  color: var(--tp-common-white);
  text-shadow: none;
}

::selection {
  background: var(--tp-common-black);
  color: var(--tp-common-white);
  text-shadow: none;
}

*::-moz-placeholder {
  color: var(--tp-theme-primary);
  font-size: 14px;
  opacity: 1;
}

.gx-30 {
  --bs-gutter-x: 30px;
}

/*---------------------------------
Common Classes
---------------------------------*/

.fix {
  overflow: hidden;
}

.z-index-1 {
  z-index: 1;
}

.p-relative {
  position: relative;
}

/* transfrom */

.lh-120-per {
  line-height: 1.2;
}

.lh-150-per {
  line-height: 1.5;
}

.ls-m-1 {
  letter-spacing: -0.01em;
}

.ls-m-2 {
  letter-spacing: -0.02em;
}

.ls-m-4 {
  letter-spacing: -0.04em;
}

.underline-white {
  background-image: linear-gradient(currentColor, currentColor), linear-gradient(currentColor, currentColor);
  background-size: 0 1px, 0 1px;
  background-position: 100% 100%, 0 100%;
  background-repeat: no-repeat;
  transition: background-size 0.3s linear;
  -webkit-transition: all 0.4s ease 0.3s 0s ease-out;
  -moz-transition: all 0.4s ease 0.3s 0s ease-out;
  -ms-transition: all 0.4s ease 0.3s 0s ease-out;
  -o-transition: all 0.4s ease 0.3s 0s ease-out;
  transition: all 0.4s ease 0.3s 0s ease-out;
}
.underline-white:hover {
  color: #fff;
  background-image: linear-gradient(currentColor, currentColor), linear-gradient(currentColor, currentColor);
  background-size: 0 1px, 100% 1px;
  background-position: 100% 100%, 0 100%;
  background-repeat: no-repeat;
  transition: background-size 0.3s linear;
  -webkit-transition: all 0.4s ease 0.3s 0s ease-out;
  -moz-transition: all 0.4s ease 0.3s 0s ease-out;
  -ms-transition: all 0.4s ease 0.3s 0s ease-out;
  -o-transition: all 0.4s ease 0.3s 0s ease-out;
  transition: all 0.4s ease 0.3s 0s ease-out;
}

.text-uppercase {
  text-transform: uppercase;
}
/*---------------------------------
init style
---------------------------------*/
@media (min-width: 1400px) and (max-width: 1523px) { 
  .container-1524 {
    max-width: 1350px;
  }
}
@media (min-width: 1524px)  {
  .container-1524 {
    max-width: 1524px;
  }
}
/* Font weight */

.fw-300 {
  font-weight: 300;
}

.fw-400 {
  font-weight: 400;
}

.fw-500 {
  font-weight: 500;
}

.fw-700 {
  font-weight: 700;
}

/* Font size */

.fs-13 {
  font-size: 13px;
}

.fs-16 {
  font-size: 16px;
}

.fs-18 {
  font-size: 18px;
}

.fs-20 {
  font-size: 20px;
}

.fs-24 {
  font-size: 24px;
}

.fs-36 {
  font-size: 36px;
}

.fs-46 {
  font-size: 46px;
}
.fs-52 {
  font-size: 52px;
}

.fs-56 {
  font-size: 56px;
}

/* Font size media query */
@media (max-width: 1399.98px) {
  
  .fs-xl-46 {
    font-size: 46px;
  }
}
/* Font size media query */
@media (max-width: 1199.98px) {
  
  .fs-lg-40 {
    font-size: 40px;
  }
}
@media (max-width: 767.98px) {
  
  .fs-sm-36 {
    font-size: 36px;
  }
}
@media (max-width: 575.98px) {
  
  .fs-xs-24 {
    font-size: 24px;
  }
  
  .fs-xs-28 {
    font-size: 28px;
  }
}
.tp-text-common-white {
  color: var(--tp-common-white);
}

.tp-bg-common-black-5 {
  background-color: var(--tp-common-black-5);
}

.tp-text-grey-5 {
  color: var(--tp-grey-5);
}

.tp-bg-grey-8 {
  background-color: var(--tp-grey-8);
}

.tp-ff-inter {
  font-family: var(--tp-ff-inter);
}

/*----------------------------------------*/
/*  Buttons
/*----------------------------------------*/
.tp-btn-switch-2-animation {
  -webkit-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
}
.tp-btn-switch-2-animation .btn-text {
  margin-left: -18px;
  position: relative;
  z-index: 3;
  transition: transform 0.6s 125ms cubic-bezier(0.1, 0.75, 0.25, 1);
}

.tp-btn-ai-black .btn-text {
  color: #201b17;
}

.tp-btn-ai-black:hover .btn-text {
  color: #fff;
}

.tp-btn-ai-black:hover .btn-icon svg path {
  fill: #fff;
}

.tp-btn-ai-black .btn-icon svg path {
  fill: #201b17;
}

.tp-btn-switch-2-animation .btn-icon {
  margin-left: 6px;
  position: relative;
  transition: opacity 0.4s 0.25s, transform 0.6s 0.25s;
  transition-timing-function: cubic-bezier(0.1, 0.75, 0.25, 1);
  line-height: 0;
  z-index: 3;
}
.tp-btn-switch-2-animation .btn-icon + .btn-icon {
  order: -2;
  opacity: 0;
  transition-delay: 0s;
  margin-left: 0;
  -webkit-transform: translateX(-10px);
  transform: translateX(-10px);
}
.tp-btn-switch-2-animation:hover .btn-text {
  transition-delay: 0.1s;
  transform: translateX(23px);
}
.tp-btn-switch-2-animation:hover .btn-icon {
  transition-delay: 0s;
  transform: translateX(10px);
  opacity: 0;
}
.tp-btn-switch-2-animation:hover .btn-icon + .btn-icon {
  opacity: 1;
  transform: translateX(0);
  transition-delay: 225ms;
}
.tp-btn-ai {
  padding: 14px 32px;
  border-radius: 100px;
  z-index: 1;
  transition: all 0.4s ease;
}
.tp-btn-ai::after {
  content: "";
  position: absolute;
  top: -2px;
  bottom: -2px;
  left: -2px;
  right: -2px;
  z-index: -2;
  border-radius: 101px;
  background-image: -webkit-linear-gradient(90deg, #201b17 0%, #fff 50%, #201b17 100%);
  background-image: -moz-linear-gradient(90deg, #201b17 0%, #fff 50%, #201b17 100%);
  background-image: -ms-linear-gradient(90deg, #201b17 0%, #fff 50%, #201b17 100%);
  background-image: -o-linear-gradient(90deg, #201b17 0%, #fff 50%, #201b17 100%);
  background-image: linear-gradient(90deg, #201b17 0%, #fff 50%, #201b17 100%);
  -moz-animation: sliderTitle3 2s ease-in-out 1s forwards infinite alternate;
  -webkit-animation: sliderTitle3 2s ease-in-out 1s forwards infinite alternate;
  animation: sliderTitle3 2s ease-in-out 1s forwards infinite alternate;
  background-size: 150% 150%;
}
.tp-btn-ai::before {
  position: absolute;
  content: "";
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--tp-common-white);
  z-index: -1;
  border-radius: 100px;
  transition: all 0.4s ease;
}
.tp-btn-ai:hover {
  background-color: transparent;
}
.tp-btn-ai:hover::before {
  background: transparent;
}


.tp-btn-ai-black {
  padding: 14px 32px;
  border-radius: 100px;
  z-index: 1;
  transition: all 0.4s ease;
}
.tp-btn-ai-black:after {
  content: "";
  position: absolute;
  top: -2px;
  bottom: -2px;
  left: -2px;
  right: -2px;
  z-index: -2;
  border-radius: 101px;
  background-image: -webkit-linear-gradient(90deg, #fff 0%, #201b17 50%, #fff 100%);
  background-image: -moz-linear-gradient(90deg, #fff 0%, #201b17 50%, #fff 100%);
  background-image: -ms-linear-gradient(90deg, #fff 0%, #201b17 50%, #fff 100%);
  background-image: -o-linear-gradient(90deg, #fff 0%, #201b17 50%, #fff 100%);
  background-image: linear-gradient(90deg, #fff 0%, #201b17 50%, #fff 100%);
  -moz-animation: sliderTitle3 2s ease-in-out 1s forwards infinite alternate;
  -webkit-animation: sliderTitle3 2s ease-in-out 1s forwards infinite alternate;
  animation: sliderTitle3 2s ease-in-out 1s forwards infinite alternate;
  background-size: 150% 150%;
}
.tp-btn-ai-black::before {
  position: absolute;
  content: "";
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #fff;
  z-index: -1;
  border-radius: 100px;
  transition: all 0.4s ease;
}
.tp-btn-ai-black:hover {
  background-color: transparent;
}
.tp-btn-ai-black:hover::before {
  background: transparent;
}

/*----------------------------------------*/
/* Animations
/*----------------------------------------*/

.line-1 {
  stroke-dasharray: 1300;
  stroke-dashoffset: 2500;
  animation: dash 5s linear forwards infinite;
}

@keyframes dash {
  to {
    stroke-dashoffset: 0px;
    stroke-dasharray: 1000;
  }
}
@-webkit-keyframes sliderTitle3 {
  0% {
    background-position: 0%;
  }
  100% {
    background-position: 100%;
  }
}
@-moz-keyframes sliderTitle3 {
  0% {
    background-position: 0%;
  }
  100% {
    background-position: 100%;
  }
}
@-ms-keyframes sliderTitle3 {
  0% {
    background-position: 0%;
  }
  100% {
    background-position: 100%;
  }
}
@keyframes sliderTitle3 {
  0% {
    background-position: 0%;
  }
  100% {
    background-position: 100%;
  }
}
@keyframes dash {
  0% {
    stroke-dashoffset: 1000;
  }
  100% {
    stroke-dashoffset: 0;
  }
}
/*----------------------------------------*/
/*  Magic Cursor css start
/*----------------------------------------*/
body.tp-magic-cursor #magic-cursor {
  display: block;
}

#magic-cursor {
  position: absolute;
  display: none;
  width: 10px;
  height: 10px;
  pointer-events: none;
  z-index: 99999;
  opacity: 0;
  top: 0;
  left: 0;
}

#ball {
  position: fixed;
  display: flex;
  align-items: center;
  pointer-events: none;
  border-radius: 50%;
  color: transparent;
  justify-content: center;
  mix-blend-mode: difference;
  background-color: var(--tp-common-black);
}

.cursor-white-bg #ball {
  background-color: var(--tp-common-white) !important;
}

/*----------------------------------------*/
/* Header Style
/*----------------------------------------*/
.tp-header-vp-spacing {
  padding: 14px 0px;
}

.header-transparent {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  z-index: 9;
  width: 100%;
}
/*----------------------------------------*/
/* footer css
/*----------------------------------------*/
.tp-footer-top-title {
  font-size: 54px;
  line-height: 1.4;
}
/* @media only screen and (min-width: 992px) and (max-width: 1199px), only screen and (min-width: 768px) and (max-width: 991px) {
  .tp-footer-top-title {
    font-size: 120px;
  }
} */
@media only screen and (min-width: 576px) and (max-width: 767px) {
  .tp-footer-top-title {
    font-size: 36px;
  }
}
@media (max-width: 575px) {
  .tp-footer-top-title {
    font-size: 28px;
  }
}
.tp-footer-copyright p span {
  transform: translateY(-2px);
  display: inline-block;
}
.tp-footer-it-copyright {
  color: rgba(243, 241, 242, 0.8);
}
@media only screen and (min-width: 768px) and (max-width: 991px), only screen and (min-width: 576px) and (max-width: 767px), (max-width: 574.98px) {
  .tp-footer-vp-widget {
    margin-left: 0;
  }
}
.tp-footer-vp-widget span {
  color: rgba(251, 252, 238, 0.6);
}

/*----------------------------------------*/
/*  Hero css start
/*----------------------------------------*/
@media only screen and (min-width: 1400px) and (max-width: 1599px), only screen and (min-width: 1200px) and (max-width: 1399px), only screen and (min-width: 992px) and (max-width: 1199px), only screen and (min-width: 768px) and (max-width: 991px), only screen and (min-width: 576px) and (max-width: 767px), (max-width: 574.98px) {
  .tp-hero-content {
    margin-left: 0;
  }
}

.tp-hero-content {
  position: relative;
  z-index: 1;
}
.tp-hero-pp-spacing {
  padding-top: 150px;
  padding-bottom: 60px;
}
.tp-hero-pp-title {
  font-size: 52px;
  line-height: 1.2;
}
/* @media only screen and (min-width: 992px) and (max-width: 1199px), only screen and (min-width: 768px) and (max-width: 991px), only screen and (min-width: 576px) and (max-width: 767px), (max-width: 574.98px) {
  .tp-hero-pp-title img {
    transform: translateY(-6px);
    width: 150px;
  }
} */
/* @media (max-width: 574.98px) {
  .tp-hero-pp-title img {
    transform: translateY(-3px);
    width: 95px;
  }
} */
.tp-hero-pp-para {
  font-size: 22px;
  color: #fff;
  max-width: 600px;
}
@media only screen and (min-width: 768px) and (max-width: 991px), only screen and (min-width: 576px) and (max-width: 767px), (max-width: 574.98px) {
  .tp-hero-pp-para {
    margin-left: 0;
  }
}

/*----------------------------------------*/
/*  about css start
/*----------------------------------------*/
.tp-about-wd-shape {
  display: flex;
  flex-direction: column;
  align-items: end;
  margin-right: 30px;
  margin-top: 20px;
}
@media only screen and (min-width: 768px) and (max-width: 991px), only screen and (min-width: 576px) and (max-width: 767px), (max-width: 574.98px) {
  .tp-about-wd-shape {
    align-items: start;
    margin-right: 0;
    margin-top: 0;
    margin-bottom: 30px;
  }
}
.tp-about-wd-thumb3 {
  position: absolute;
  top: -200px;
  right: 0;
  /* border: 10px solid var(--tp-common-white); */
  border-top: 0;
  border-right: 0;
  max-width: 300px;
}
@media only screen and (min-width: 992px) and (max-width: 1199px), only screen and (min-width: 768px) and (max-width: 991px), only screen and (min-width: 576px) and (max-width: 767px), (max-width: 574.98px) {
  .tp-about-wd-thumb3 {
    top: -150px;
  }
}
.tp-about-wd-thumb4 {
  margin-top: 10px;
  /*margin-right: 110px; */
  max-width: 345px;
}
@media only screen and (min-width: 992px) and (max-width: 1199px), only screen and (min-width: 768px) and (max-width: 991px), only screen and (min-width: 576px) and (max-width: 767px), (max-width: 574.98px) {
  .tp-about-wd-thumb4 {
    margin-right: 0;
  }
}
/* @media (max-width: 575px) {
  .tp-about-wd-thumb4 {
    margin-top: 126px;
  }
} */
.tp-about-wd-shape-2 {
  position: absolute;
  bottom: 0;
  right: 0;
  z-index: -1;
}
@media only screen and (min-width: 768px) and (max-width: 991px), only screen and (min-width: 576px) and (max-width: 767px), (max-width: 574.98px) {
  .tp-about-wd-para-wrap {
    margin-bottom: 0;
  }
}
/*----------------------------------------*/
/*  service
/*----------------------------------------*/
.tp-service-wd-item {
  border-top: 1px solid var(--tp-border-1);
  padding-top: 35px;
  padding-bottom: 20px;
}
.tp-service-cst-info-list ul li {
  font-weight: 300;
  font-size: 16px;
  list-style: none;
  color: var(--tp-grey-5);
  display: flex;
}
.tp-service-cst-info-list ul li:not(:last-child) {
  margin-bottom: 13px;
}
.tp-service-cst-info-list ul li span {
  margin-right: 10px;
  transform: translateY(-2px);
}
.tp-service-pb-item {
  border: none;
  padding-top: 0;
  padding-bottom: 15px;
  position: relative;
  z-index: 4;
}
.tp-service-pb-wrap {
  margin-left: -22px;
}
@media only screen and (min-width: 768px) and (max-width: 991px), only screen and (min-width: 576px) and (max-width: 767px), (max-width: 574.98px) {
  .tp-service-pb-wrap {
    margin-left: 0;
  }
}

/*----------------------------------------*/
/*  video css start
/*----------------------------------------*/
.tp-video-vp-img-inner-2 {
  height: 100%;
}
@media (min-width: 1400px) {
  .tp-video-vp-img-inner-2 {
    height: 100vh !important;
  }
}
/* @media only screen and (min-width: 1200px) and (max-width: 1399px) {
  .tp-video-vp-img-inner-2 {
    height: 780px;
  }
} */
/* @media only screen and (min-width: 992px) and (max-width: 1199px) {
  .tp-video-vp-img-inner-2 {
    height: 500px;
    margin-top: 120px;
  }
} */
/* @media only screen and (min-width: 768px) and (max-width: 991px) {
  .tp-video-vp-img-inner-2 {
    height: 400px;
    margin-top: 100px;
  }
} */
@media only screen and (min-width: 576px) and (max-width: 767px), (max-width: 574.98px) {
  .tp-video-vp-img-inner-2 {
    height: 100%;
  }
}
.tp-video-vp-img-inner-2 video {
  height: 100%;
  width: 100%;
  margin: 0 auto;
  background-position: center center;
  background-size: cover;
  object-fit: cover;
}

/*----------------------------------------*/
/*  portfolio css start
/*----------------------------------------*/
:root {
  --numOfSlides: 5;
  --slidingAT: 1.3s;
  --controlSize: 60px;
}
.tp-portfolio-vp-post-thumbnail {
  padding-top: 720px;
  border-radius: 32px;
  position: relative;
  overflow: hidden;
}
@media only screen and (min-width: 1200px) and (max-width: 1399px) {
  .tp-portfolio-vp-post-thumbnail {
    padding-top: 600px;
  }
}
@media only screen and (min-width: 992px) and (max-width: 1199px), only screen and (min-width: 768px) and (max-width: 991px), only screen and (min-width: 576px) and (max-width: 767px), (max-width: 574.98px) {
  .tp-portfolio-vp-post-thumbnail {
    padding-top: 220px;
    margin-bottom: 30px;
  }
}
.tp-portfolio-vp-post-thumbnail .image-container {
  overflow: hidden;
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
  background-size: cover;
  /* background-position: center; */
}
/*----------------------------------------*/
/*  testimonial css start
/*----------------------------------------*/
.tp-testimonial-it-title h2 {
  font-size: 110px;
  line-height: 1;
}
@media only screen and (min-width: 1200px) and (max-width: 1399px), only screen and (min-width: 992px) and (max-width: 1199px), only screen and (min-width: 768px) and (max-width: 991px) {
  .tp-testimonial-it-title h2 {
    font-size: 90px;
  }
}
@media only screen and (min-width: 576px) and (max-width: 767px), (max-width: 574.98px) {
  .tp-testimonial-it-title h2 {
    font-size: 52px;
    margin-bottom: 20px;
  }
}
@media (max-width: 575px) {
  .tp-testimonial-it-title h2 {
    font-size: 32px;
  }
  .tp-portfolio-vp-post-thumbnail .image-container {
    background-position: center;
  }
}
.tp-testimonial-it-star i {
  color: #FF6D00;
}
.tp-testimonial-it-ratings-wrap {
  border: 1px solid #E3E7E6;
  border-radius: 100px;
  /* width: 310px; */
  padding: 12px 22px;
}
.tp-testimonial-it-item {
  backdrop-filter: blur(5px);
  opacity: 0.97;
  border: 1px solid rgba(16, 48, 42, 0.08);
  border-radius: 20px;
  padding: 40px 40px 30px 40px;
}
@media (max-width: 575px) {
  .tp-testimonial-it-item {
    padding: 30px 30px 20px 30px;
  }
}
.tp-testimonial-it-item:hover .tp-testimonial-it-shape {
  opacity: 1;
  visibility: visible;
}
.tp-testimonial-it-qoute {
  width: 40px;
  height: 40px;
  background: var(--tp-common-black-1);
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50px;
}
.tp-testimonial-it-shape {
  position: absolute;
  top: 20px;
  right: 20px;
  opacity: 0;
  visibility: hidden;
  transition: all 0.4s ease;
}
.tp-testimonial-it-slider {
  margin-right: -290px;
  margin-top: -55px;
}
@media only screen and (min-width: 768px) and (max-width: 991px), only screen and (min-width: 576px) and (max-width: 767px), (max-width: 574.98px) {
  .tp-testimonial-it-slider {
    margin-right: 0;
    margin-top: 0;
  }
}
.tp-testimonial-it-pagenation {
  text-align: center;
}

.tp-testimonial-it-pagenation span {
  width: 10px;
  height: 10px;
  background: transparent;
  background: var(--tp-common-black-1);
  opacity: 0.1;
}
.tp-testimonial-it-pagenation span.swiper-pagination-bullet-active {
  background: var(--tp-common-black-1);
  opacity: 1;
}

/*----------------------------------------*/
/*  cta css start
/*----------------------------------------*/
.tp-cta-wd-shape {
  position: absolute;
  bottom: -16px;
  right: 0;
  width: 36%;
}
.tp-cta-wd-shape svg {
  width: 100%;
}

/*----------------------------------------*/
/*  process css start
/*----------------------------------------*/
.tp-process-it-bg {
  background: linear-gradient(180deg, #d5ffdd 0%, rgba(213, 255, 221, 0) 100%);
}
.tp-process-it-item {
  border: 1px solid #E0EAE4;
  border-radius: 20px;
  padding: 30px 30px 20px 30px;
}


.aleric-dark .tp-process-it-item:before {
  background: var(--tp-common-black);
}

/* @media (min-width: 1200px) {
  .aleric-dark .tp-process-it-item {
    height: 347px;
  }
} */

.tp-process-it-item:before {
  position: absolute;
  content: "";
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--tp-common-white);
  z-index: -1;
  border-radius: 12px;
  transition: all 0.4s ease;
  /* opacity: 0;
  visibility: hidden; */
}

.tp-process-it-item:after {
  content: "";
  position: absolute;
  top: -2px;
  bottom: -2px;
  left: -2px;
  right: -2px;
  /* opacity: 0;
  visibility: hidden; */
  z-index: -2;
  border-radius: 12px;
  background-image: -webkit-linear-gradient(90deg, #201b17 0%, #fff 50%, #201b17 100%);
  background-image: -moz-linear-gradient(90deg, #201b17 0%, #ffff 50%, #201b17 100%);
  background-image: -ms-linear-gradient(90deg, #201b17 0%, #ffff 50%, #201b17 100%);
  background-image: -o-linear-gradient(90deg, #201b17 0%, #ffff 50%, #201b17 100%);
  background-image: linear-gradient(90deg, #201b17 0%, #fff 50%, #201b17 100%);
  -moz-animation: sliderTitle3 2s ease-in-out 1s forwards infinite alternate;
  -webkit-animation: sliderTitle3 2s 
  ease-in-out 1s forwards infinite alternate;
  animation: sliderTitle3 2s 
  ease-in-out 1s forwards infinite alternate;
  background-size: 150% 150%;
}

.aleric-dark .tp-testimonial-it-pagenation span {
  background: var(--tp-common-white);
}

/*----------------------------------------*/
/*  7.10 dark css start
/*----------------------------------------*/
.aleric-dark body {
  background-color: #000;
}
.aleric-dark .tp-btn-ai::before {
  background: var(--tp-common-black);
}
.aleric-dark .tp-btn-ai:hover::before {
  background: transparent !important;
}
.aleric-dark .tp-testimonial-it-ratings-wrap {
  border: 1px solid rgba(255, 255, 255, 0.2);
}
/* .aleric-dark .tp-about-cst-thumb {
  border-bottom: 1px solid var(--tp-border-3);
}
.aleric-dark .tp-about-cst-thumb-wrap {
  border-right: 1px solid var(--tp-border-3);
} */
.aleric-dark .tp-process-it-bg {
  background: linear-gradient(180deg, #101010 0%, rgba(16, 48, 42, 0) 100%);
}
.aleric-dark .tp-process-it-item {
  border: 1px solid var(--tp-border-3);
}
.aleric-dark .tp-testimonial-it-qoute {
  background: var(--tp-common-white);
}
.aleric-dark .tp-testimonial-it-item {
  border: 1px solid rgba(255, 255, 255, 0.2);
}
@media (min-width: 575px) {
  .aleric-dark .tp-testimonial-it-item {
    height: 318px;
  }
}
/* .aleric-dark .tp-about-wd-thumb3 {
  border: 10px solid var(--tp-common-black);
} */
.aleric-dark .tp-service-wd-item {
  border-top: 1px solid var(--tp-border-3);
}
.aleric-dark .tp-service-pb-item {
  border: none;
}

.custom-bg {
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  background-attachment: fixed;
}

@media (min-width: 992px) {
  .tp-hero-area {
    height: 100vh;
  }  
  .column-count-2 {
    column-count: 2;
  }
  .tp-about-wd-thumb2 {
    margin-top: 220px;
  }
}
.tp-hero-area {
  display: flex;
  align-items: end;
  position: relative;
}

.tp-hero-area:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  /* background: linear-gradient(90deg, #f5f5f5 0%, #fff0 100%); */
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 1;
  pointer-events: none;
}

.contact-box .info {
  display: flex;
  align-items: center;
  gap: 15px;
}
.contact-box .info .contact-link a {
  color: #fff;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 157.4%;
  display: flex;
  gap: 10px
}

.contact-box .info .contact-link a:hover {
  opacity: .75;
}

.theme-btn {
  display: inline-block;
  position: relative;
  padding: 16px 26px;
  gap: 10px;
  color: var(--black);
  font-family: "SF Pro Display";
  text-align: center;
  font-size: 16px;
  font-style: normal;
  font-weight: 600;
  line-height: normal;
  background: var(--theme);
  z-index: 1;
  line-height: 1;
  overflow: hidden;
  border: none;
  border-radius: 100px;
  transition: all 0.3s 
  ease-in-out;
  -webkit-transition: all 0.3s 
  ease-in-out;
  -moz-transition: all 0.3s ease-in-out;
  -ms-transition: all 0.3s ease-in-out;
  -o-transition: all 0.3s ease-in-out;
}

.theme-btn.style4 {
  /* display: flex; */
  align-items: center;
  justify-content: space-between;
  background: #fff;
  color: #000;
  border: 1px solid var(--border-4);
}
.theme-btn.style4:before {
  transition-duration: 800ms;
  background: #282C32;
  color: var(--white);
}
.theme-btn.style4 svg path,
.theme-btn.style4 svg rect {
  fill: #282C32;
  transition: all 0.4s;
  -webkit-transition: all 0.4s;
  -moz-transition: all 0.4s;
  -ms-transition: all 0.4s;
  -o-transition: all 0.4s;
}
.theme-btn.style4:hover {
  background-color: transparent !important;
  color: #fff !important;
}
.theme-btn.style4:hover svg path,
.theme-btn.style4:hover svg rect {
  fill: #fff;
}
.theme-btn:hover {
  color: #fff !important;
}
.theme-btn:hover:before {
  top: -96%;
}

.header-button .theme-btn.style4 {
  padding: 10px 18px !important;
}
.theme-btn.style4:before {
  transition-duration: 800ms;
  background: #282C32;
  color: #fff;
}

.theme-btn:before {
  transition-duration: 800ms;
  position: absolute;
  width: 210%;
  height: 290%;
  content: "";
  top: 162%;
  left: 50%;
  background: #282C32;
  -webkit-transform: translateX(-50%);
  transform: translateX(-50%) rotate(-8deg);
  border-radius: 80%;
  z-index: -1;
}


/*** 

====================================================================
Contact Section
====================================================================

***/
.contact-section {
  position: relative;
  padding-top: 80px;
  padding-bottom: 60;
  z-index: 2;
}
.contact-section .outer-box {
  position: relative;
  padding: 80px;
  margin: 0px 187px;
  border-radius: 30px;
  background-color: #141414;
}
@media (max-width: 1500px) {
  .contact-section .outer-box {
    margin: 0 65px;
  }
}
@media (max-width: 1199px) {
  .contact-section .outer-box {
    margin: 0 15px;
  }
}
@media (max-width: 991.98px) {
  .contact-section .outer-box {
    padding: 80px 30px;
  }
}
.contact-section .content-column .inner-column .sec-title {
  max-width: 460px;
}
.contact-section .content-column .inner-column .sec-title h2 {
  color: #fff;
  position: relative;
  font-weight: 500;
  font-size: 52px;
}
.contact-section .content-column .inner-column .sec-title .sub-title { 
  color: #fff;
  font-size: 16px;
}
.contact-section .content-column .inner-column .contact-info {
  margin-top: 100px;
}
@media (max-width: 991.98px) {
  .contact-section .content-column .inner-column .contact-info {
    margin-top: 40px;
    margin-bottom: 60px;
  }
}

.content-column {
  position: relative;
  z-index: 9;
}

.contact-form {
  position: relative;
}
.contact-form .form-group {
  position: relative;
  margin-bottom: 30px;
}
.contact-form .form-group:last-child {
  margin-bottom: 0;
}
.contact-form .form-group input:not([type=submit]),
.contact-form .form-group textarea {
  position: relative;
  display: block;
  height: 55px;
  width: 100%;
  font-size: 16px;
  line-height: 29px;
  font-weight: 400;
  color: #fff;
  background-color: transparent;
  border-bottom: 1px solid #303030 !important;
  border: 0;
  border-radius: 0;
  margin-bottom: 0;
  -webkit-transition: all 300ms ease;
  transition: all 300ms ease;
}
.contact-form .form-group textarea {
  height: auto;
  min-height: 100px;
  /* padding-top: 20px; */
}
.contact-form .form-group ::-webkit-input-placeholder {
  color: var(--tp-grey-2);
}
.contact-form .form-group input:focus,
.contact-form .form-group textarea:focus {
  border-bottom-color: #fff !important;
  outline: none;
}

.submit-btn {
  width: 100%;
}

.w-40 {
  width: 40px;
}

.w-60px {
  width: 60px;
}

.h-60px {
  height: 60px;
}

.tp-about-wd-thumb-wrap,
.myimg {
  border-radius: 12px;
}

.contact-container {
  position: fixed;
  right: 0;
  bottom: 20px;
  transform: translateY(-50%);
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  z-index: 1000;
  opacity: 0;
  transition: opacity 0.5s ease-in-out;
}

.call-us, .whatsapp-us {
  background-color: #f2f2f2;
  border: 1px solid #eee;
  border-radius: 18px 0 0 18px;
  max-width: 60px;
  margin-bottom: 10px;
  text-align: center;
  padding: 5px 6px;
  transition: max-width 0.5s ease-in-out, opacity 0.5s ease-in-out;
  white-space: nowrap;
  overflow: hidden;
  box-shadow: rgba(0, 0, 0, 0.05) 0px 6px 24px 0px, rgba(0, 0, 0, 0.08) 0px 0px 0px 1px;
}

.call-us a, .whatsapp-us a {
  display: flex;
  align-items: center;
  text-decoration: none;
  color: #707070;
}

.whatsapp-us img {
  width: 40px;
  height: 40px;
  margin-right: 10px;
  margin-left: 5px;
}

.call-us:hover, .whatsapp-us:hover {
  max-width: 255px;
}

.chat-with-us p {
  margin-bottom: 0;
  line-height: 20px;
  font-weight: 500;
}

@media (max-width: 575px) {
  .call-us:hover, .whatsapp-us:hover{
    max-width: 50px !important;
  }
}

.call-us svg {
  width: 45px !important;
  margin-right: 15px;
}

.popup {
  display: none;
  position: fixed;
  z-index: 9999;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  background-color: rgb(0 0 0 / .3);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
}

.popup-content {
  margin: auto;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border-radius: 4px;
  background-color: #141414;
  padding: 25px;
}

@media(min-width:768px) and (max-width:1200px) {
  .popup-content {
    width: 450px
  }
}

@media(min-width: 1200px) {
  .popup-content {
    width: 40%;
  }
}

@media(max-width: 547px) {
  .popup-content {
    width: 95%;
  }
}

.form-trigger {
  cursor: pointer
}
.close {
  color: #ddd;
  z-index: 99;
  float: right;
  font-size: 30px;
  font-weight: 400;
  cursor: pointer;
  position: relative;
  cursor: pointer;
  top: -15px;
  right: -10px;
}
.close:hover{
  color: #fff;
}
.error {
  color: red;
  font-size: 12px;
  margin-top: 5px;
  display: none;
  text-align: left;
}

.popup-content h3 {
  color: #fff;
  font-size: 24px;
}

@media (max-width: 768px) {
  .tp-hero-pp-title {
    font-size: 28px;
    line-height: 1.3;
  }
  .tp-hero-pp-para {
    font-size: 20px;
  }
  .tp-hero-pp-spacing {
    padding-top: 250px;
    padding-bottom: 0;
  }
  .pt-xs-60 {
    padding-top: 60px;
  }
  .tp-about-wd-thumb4 {
    display: none;
  }
  .tp-portfolio-area,
  .tp-process-it-bg,
  .tp-service-area,
  .tp-testimonial-area {
    padding-top: 60px !important;
    padding-bottom: 60px !important;
  }
  .contact-section .content-column .inner-column .sec-title h2 {
    font-size: 28px;
  }
  .contact-section .outer-box {
    padding: 40px 15px !important;
  }
}

.tp-testimonial-area {
  background-color: #030303;
  position: relative;
  z-index: 9999;
  overflow: hidden;
}

.tp-header-logo {
  max-width: 135px;
}

@media (max-width: 1024px) {
  .tp-about-wd-thumb3 {
    display: none;
  }
}

.tp_text_invert > div {
  background-image: linear-gradient(to right, #fff 50%, #999 50%);
  background-size: 200% 100%;
  background-position: 100%;
  color: transparent;
  background-clip: text;
  -webkit-background-clip: text;
}

.tp_text_invert.invert-white > div {
  background-image: linear-gradient(to right, #f3f1f2 50%, #AFB7B6 50%);
}

.iti--separate-dial-code .iti__selected-dial-code {
  color: #fff;
}

.tp-sub-title {
  color: #fff;
  font-size: 18px;
}

.tech-icon {
  display: flex;
  justify-content: center;
  align-items: center;
}


.tell-story-section {
  height: 80vh;
}

.tell-story-section .tt1 {
  letter-spacing: 2px;
  font-size: 16px;
}

/* .tell-story-section .con .ins:after {
  content: "";
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  height: 2px;
  background: #000;
  z-index: 1;
} */

.tell-story-section [tell-overlay] {
  background: #e1e1e1;
}

.tell-story-section-rest {
  height: 20vh;
}

.section-title-48 {
  font-size: 48px;
  text-transform: capitalize;
  font-weight: bold;
}

.full-el {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.relative {
  position: relative;
}
.gap-10 {
  gap: 10px;
}
.flex-all {
  display: flex;
  align-items: center;
  justify-content: center;
}
@media (max-width: 767px) {
  .tell-story-section-rest {
    height: auto;
    padding-bottom: 20px;
  }
}
@media (max-width: 575px) {
  .xs-pt-0 {
    padding-top: 0 !important;
  }
}
.black {
  color: #000;
}

@media (max-width: 767px) {
  .tell-story-section .tt {
    font-size: 20px;
  }
  .tell-story-section {
    height: auto;
    padding: 80px 0;
  }
}
.tp-service-area {
  background-color: var(--tp-common-black-5);
}
.tp-service-2-item {
  padding: 50px 25px 50px 25px;
  border-radius: 20px;
  transition: all 0.4s ease;
  /* background-color: var(--tp-common-black); */
  background-color: transparent;
    background-image: linear-gradient(180deg, #030303 0%, transparent 100%);
}
.tp-service-2-item p {
  color: #fff;
  font-size: 18px;
}

.tp-service-2-item h3 {
  font-size: 24px;
}

.tp-features-pagenation span {
  background: #fff;
  width: 10px;
  height: 10px;
}
.swiper-pagination-bullet-active {
  width: 30px !important;
  border-radius: 6px;
}
.tp-features-pagenation {
  margin-top: 25px;
  position: absolute !important;
  z-index: 999;
  text-align: center;
  bottom: 0 !important;
}
/* .aleric-dark .tp-service-2-item:hover {
  border: 1px solid var(--tp-border-3);
} */

.tp-service-2-icon img {
  filter: brightness(1) invert(1);
  width: 50px;
}

.swiper-slide {
  margin-bottom: 20px;
}


.tech-icon {
  margin-bottom: 20px;
}

.tp-process-it-title {
  font-size: 16px;
  font-weight: 400;
}